CREATE DATABASE bitacora_2022;

/*RECTIFICACIONES*/

CREATE TABLE bitacora_2022.Rectificaciones_mz(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_carga VARCHAR(25),
    tip_operacion VARCHAR(25),
    fecha_eta VARCHAR(10),
    fecha_modificacion TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    especificar	TEXT,
    cargo VARCHAR(30)
);

CREATE TABLE bitacora_2022.Rectificaciones_vz(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_carga VARCHAR(25),
    tip_operacion VARCHAR(25),
    fecha_eta VARCHAR(10),
    fecha_modificacion TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    especificar	TEXT,
    cargo VARCHAR(30)
);

CREATE TABLE bitacora_2022.Rectificaciones_lz(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_carga VARCHAR(25),
    tip_operacion VARCHAR(25),
    fecha_eta VARCHAR(10),
    fecha_modificacion TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    especificar	TEXT,
    cargo VARCHAR(30)
);

CREATE TABLE bitacora_2022.Rectificaciones_mx(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_carga VARCHAR(25),
    tip_operacion VARCHAR(25),
    fecha_eta VARCHAR(10),
    fecha_modificacion TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    especificar	TEXT,
    cargo VARCHAR(30)
);

/* REFERENCIAS */

CREATE TABLE bitacora_2022.Referencias_mz(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_operacion VARCHAR(11),
    tip_carga VARCHAR(20),
    fecha_eta VARCHAR(10),
    patente INT,
    aduana INT,
    fecha_alt_ref TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    Rectifiaciones INT,
    estatus VARCHAR(10),
    user_mod VARCHAR(45),
    fecha_mod VARCHAR(50),
    apart INT(1),
    ped_rect VARCHAR(45)
);

CREATE TABLE bitacora_2022.Referencias_mx(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_operacion VARCHAR(11),
    tip_carga VARCHAR(20),
    fecha_eta VARCHAR(10),
    patente INT,
    aduana INT,
    fecha_alt_ref TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    Rectifiaciones INT,
    estatus VARCHAR(10),
    user_mod VARCHAR(45),
    fecha_mod VARCHAR(50),
    apart INT(1),
    ped_rect VARCHAR(45)
);

CREATE TABLE bitacora_2022.Referencias_vz(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_operacion VARCHAR(11),
    tip_carga VARCHAR(20),
    fecha_eta VARCHAR(10),
    patente INT,
    aduana INT,
    fecha_alt_ref TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    Rectifiaciones INT,
    estatus VARCHAR(10),
    user_mod VARCHAR(45),
    fecha_mod VARCHAR(50),
    apart INT(1),
    ped_rect VARCHAR(45)
);

CREATE TABLE bitacora_2022.Referencias_lz(
    id INT PRIMARY KEY AUTO_INCREMENT,
    folio VARCHAR(45),
    pedimento VARCHAR(45),
    cliente TEXT,
    tip_operacion VARCHAR(11),
    tip_carga VARCHAR(20),
    fecha_eta VARCHAR(10),
    patente INT,
    aduana INT,
    fecha_alt_ref TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario VARCHAR(45),
    cont1 VARCHAR(50) default '0',
    cont2 VARCHAR(50) default '0',
    cont3 VARCHAR(50) default '0',
    cont4 VARCHAR(50) default '0',
    cont5 VARCHAR(50) default '0',
    cont6 VARCHAR(50) default '0',
    cont7 VARCHAR(50) default '0',
    cont8 VARCHAR(50) default '0',
    cont9 VARCHAR(50) default '0',
    cont10 VARCHAR(50) default '0',
    Rectifiaciones INT,
    estatus VARCHAR(10),
    user_mod VARCHAR(45),
    fecha_mod VARCHAR(50),
    apart INT(1),
    ped_rect VARCHAR(45)
);
